PETSc version 3.15.5
Fix/Edit manual page

# PetscViewerHDF5WriteAttribute

Write an attribute

### Synopsis

    #include "petscviewerhdf5.h"
    PetscErrorCode PetscViewerHDF5WriteAttribute(PetscViewer viewer, const char dataset[], const char name[], PetscDataType datatype, const void *value)

### Input Parameters

| viewer | - The HDF5 viewer
| dataset | - The parent dataset name, relative to the current group. NULL means a group-wise attribute.
| name | - The attribute name
| datatype | - The attribute type
| value | - The attribute value

### See Also

PetscViewerHDF5Open(), PetscViewerHDF5WriteObjectAttribute(), PetscViewerHDF5ReadAttribute(), PetscViewerHDF5HasAttribute(), PetscViewerHDF5PushGroup(),PetscViewerHDF5PopGroup(),PetscViewerHDF5GetGroup()

### Level

advanced

### Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages